Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP

Loading…

Added '--with-x11' option. #16924

Closed
wants to merge 1 commit into from

2 participants

@RuiPereira

As a followup of #14564 and #14596, ghostcript 9.06 works fine for me with a properly set dependency on recent XQuartz, as in the gv formula. This solves #16865 as long as ghostscript is compiled with the with-x11 option. We'll have to wait for #14456 in order to modify the gv formula to make that check explicit.

@RuiPereira RuiPereira Added '--with-x11' option.
GS compiles properly with XQuartz. This is needed 
for ghostview.
9383ad4
@adamv adamv closed this pull request from a commit
@RuiPereira RuiPereira ghostscript: add '--with-x11' option
GS compiles properly with XQuartz. This is needed
for ghostview.

Closes #16924.

Signed-off-by: Adam Vandenberg <flangy@gmail.com>
ead06fb
@adamv adamv closed this in ead06fb
@RuiPereira RuiPereira deleted the RuiPereira:gs branch
@dholm dholm referenced this pull request from a commit in dholm/homebrew
@RuiPereira RuiPereira ghostscript: add '--with-x11' option
GS compiles properly with XQuartz. This is needed
for ghostview.

Closes #16924.

Signed-off-by: Adam Vandenberg <flangy@gmail.com>
604db67
@norioxkimura norioxkimura referenced this pull request from a commit in norioxkimura/homebrew
@RuiPereira RuiPereira ghostscript: add '--with-x11' option
GS compiles properly with XQuartz. This is needed
for ghostview.

Closes #16924.

Signed-off-by: Adam Vandenberg <flangy@gmail.com>
5bb0161
@guyzmo guyzmo referenced this pull request from a commit
Commit has since been removed from the repository and is no longer available.
@guyzmo guyzmo referenced this pull request from a commit
Commit has since been removed from the repository and is no longer available.
@cooljeanius cooljeanius referenced this pull request from a commit
Commit has since been removed from the repository and is no longer available.
@rajeeja rajeeja referenced this pull request from a commit
@RuiPereira RuiPereira ghostscript: add '--with-x11' option
GS compiles properly with XQuartz. This is needed
for ghostview.

Closes #16924.

Signed-off-by: Adam Vandenberg <flangy@gmail.com>
62e4fe0
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Commits on Jan 6, 2013
  1. @RuiPereira

    Added '--with-x11' option.

    RuiPereira authored
    GS compiles properly with XQuartz. This is needed 
    for ghostview.
This page is out of date. Refresh to see the latest.
Showing with 4 additions and 1 deletion.
  1. +4 −1 Library/Formula/ghostscript.rb
View
5 Library/Formula/ghostscript.rb
@@ -13,6 +13,8 @@ class Ghostscript < Formula
head 'git://git.ghostscript.com/ghostpdl.git'
+ option 'with-x11', 'Install with X11 support'
+
if build.head?
depends_on :automake
depends_on :libtool
@@ -24,6 +26,7 @@ class Ghostscript < Formula
depends_on 'jbig2dec'
depends_on 'little-cms2'
depends_on :libpng
+ depends_on :x11 => '2.7.2' if build.include? 'with-x11'
# Fix dylib names, per installation instructions
def patches
@@ -54,8 +57,8 @@ def install
--disable-compile-inits
--disable-gtk
--with-system-libtiff
- --without-x
]
+ args << '--without-x' unless build.include? 'with-x11'
if build.head?
system './autogen.sh', *args
Something went wrong with that request. Please try again.